Public Member Functions | Static Public Member Functions | Protected Attributes

# XbPacket Class Reference

XBee2 API frame base class. More...

`#include <xbpacket.h>`

Inheritance diagram for XbPacket:
[legend]
Collaboration diagram for XbPacket:
[legend]

List of all members.

## Public Member Functions
| XbPacket (quint8 frameType=0)
| ~XbPacket ()
quint8 | frameType ()
QByteArray | frameData ()
bool | parseFrameData (QByteArray &data)
## Static Public Member Functions
static quint8 | checksum (QByteArray data)
static bool | valid (QByteArray data)
## Protected Attributes
quint8 | mFrameType
QList< XbStreamItem * > | mItems

## Detailed Description

XBee2 API frame base class.

Definition at line 31 of file xbpacket.h.

## Constructor & Destructor Documentation

XbPacket::XbPacket | ( | quint8 | frameType = `0` | ) |

Definition at line 22 of file xbpacket.cpp.

References mFrameType.

XbPacket::~XbPacket | ( |  | ) |

Definition at line 28 of file xbpacket.cpp.

References mItems.

## Member Function Documentation

quint8 XbPacket::checksum | ( | QByteArray | data | ) | `[static]`

Definition at line 45 of file xbpacket.cpp.

Referenced by valid().

Here is the caller graph for this function:

QByteArray XbPacket::frameData | ( |  | ) |

Definition at line 70 of file xbpacket.cpp.

References mFrameType, mItems, and XbStreamItem::wr().

Referenced by XbInterface::sendPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

quint8 XbPacket::frameType | ( |  | ) |

Definition at line 39 of file xbpacket.cpp.

References mFrameType.

bool XbPacket::parseFrameData | ( | QByteArray & | data | ) |

Definition at line 102 of file xbpacket.cpp.

References mFrameType, mItems, and XbStreamItem::rd().

Referenced by ShXbee::processPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

bool XbPacket::valid | ( | QByteArray | data | ) | `[static]`

Definition at line 56 of file xbpacket.cpp.

References checksum().

Referenced by XbInterface::onReadyRead(), and ShXbee::processPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

## Member Data Documentation

quint8 XbPacket::mFrameType`[protected]`

Definition at line 46 of file xbpacket.h.

Referenced by frameData(), frameType(), parseFrameData(), and XbPacket().

QList<XbStreamItem*> XbPacket::mItems`[protected]`

Definition at line 47 of file xbpacket.h.

Referenced by frameData(), parseFrameData(), XbIoSample::XbIoSample(), XbLocalCommand::XbLocalCommand(), XbLocalCommandResponse::XbLocalCommandResponse(), XbReceivedData::XbReceivedData(), XbRemoteCommand::XbRemoteCommand(), XbRemoteCommandResponse::XbRemoteCommandResponse(), XbTransmitRequest::XbTransmitRequest(), XbTransmitStatus::XbTransmitStatus(), and ~XbPacket().

The documentation for this class was generated from the following files:

- shxbee/xbpacket.h
- shxbee/xbpacket.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends